goocanvasmm: Goocanvas::EllipseModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::EllipseModel Class Reference
Inheritance diagram for Goocanvas::EllipseModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~EllipseModel ()
GooCanvasEllipseModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasEllipseModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasEllipseModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_center_x ()
| The x coordinate of the center of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_center_x () const
| The x coordinate of the center of the ellipse.
Glib::PropertyProxy< double > | property_center_y ()
| The y coordinate of the center of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_center_y () const
| The y coordinate of the center of the ellipse.
Glib::PropertyProxy< double > | property_radius_x ()
| The horizontal radius of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_radius_x () const
| The horizontal radius of the ellipse.
Glib::PropertyProxy< double > | property_radius_y ()
| The vertical radius of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_radius_y () const
| The vertical radius of the ellipse.
## Static Public Member Functions
static Glib::RefPtr< EllipseModel > | create (double center_x=0.0, double center_y=0.0, double radius_x=0.0, double radius_y=0.0)
## Protected Member Functions
| EllipseModel (double center_x=0.0, double center_y=0., double radius_x=0.0, double radius_y=0.0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::EllipseModel > | wrap (GooCanvasEllipseModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::EllipseModel::~EllipseModel | ( |  | ) | `[virtual]`

Goocanvas::EllipseModel::EllipseModel | ( | double | center_x = `0.0`,
|  | double | center_y = `0.`,
|  | double | radius_x = `0.0`,
|  | double | radius_y = `0.0`
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<EllipseModel> Goocanvas::EllipseModel::create | ( | double | center_x = `0.0`,
|  | double | center_y = `0.0`,
|  | double | radius_x = `0.0`,
|  | double | radius_y = `0.0`
| ) |  | `[static]`

GooCanvasEllipseModel* Goocanvas::EllipseModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

const GooCanvasEllipseModel* Goocanvas::EllipseModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasEllipseModel* Goocanvas::EllipseModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Glib::PropertyProxy<double> Goocanvas::EllipseModel::property_center_x | ( |  | ) |

The x coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::EllipseModel::property_center_x | ( |  | ) | const

The x coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::EllipseModel::property_center_y | ( |  | ) | const

The y coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::EllipseModel::property_center_y | ( |  | ) |

The y coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::EllipseModel::property_radius_x | ( |  | ) | const

The horizontal radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::EllipseModel::property_radius_x | ( |  | ) |

The horizontal radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::EllipseModel::property_radius_y | ( |  | ) |

The vertical radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::EllipseModel::property_radius_y | ( |  | ) | const

The vertical radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::EllipseModel > wrap | ( | GooCanvasEllipseModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/ellipsemodel.h